| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::tracking::kalman_filters::AugmentedUnscentedKalmanFilterParams Class Reference

Augmented Unscented Kalman filter parameters. The class for initialization parameters of Augmented Unscented Kalman filter. More...

`#include <opencv2/tracking/kalman_filters.hpp>`

Collaboration diagram for cv::detail::tracking::kalman_filters::AugmentedUnscentedKalmanFilterParams:

## Public Member Functions
| AugmentedUnscentedKalmanFilterParams ()
| AugmentedUnscentedKalmanFilterParams (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)
void | init (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)
Public Member Functions inherited from cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams
| UnscentedKalmanFilterParams ()
| UnscentedKalmanFilterParams (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)
void | init (int dp, int mp, int cp, double processNoiseCovDiag, double measurementNoiseCovDiag, Ptr< UkfSystemModel > dynamicalSystem, int type=CV_64F)

## Additional Inherited Members
Public Attributes inherited from cv::detail::tracking::kalman_filters::UnscentedKalmanFilterParams
double | alpha
| Default is 1e-3.
double | beta
| Default is 2.0.
int | CP
| Dimensionality of the control vector.
int | dataType
| Type of elements of vectors and matrices, default is CV_64F.
int | DP
| Dimensionality of the state vector.
Mat | errorCovInit
| State estimate cross-covariance matrix, DP x DP, default is identity.
double | k
| Default is 0.
Mat | measurementNoiseCov
| Measurement noise cross-covariance matrix, MP x MP.
Ptr< UkfSystemModel > | model
| Object of the class containing functions for computing the next state and the measurement.
int | MP
| Dimensionality of the measurement vector.
Mat | processNoiseCov
| Process noise cross-covariance matrix, DP x DP.
Mat | stateInit
| Initial state, DP x 1, default is zero.

## Detailed Description

Augmented Unscented Kalman filter parameters. The class for initialization parameters of Augmented Unscented Kalman filter.

## Constructor & Destructor Documentation

## ◆ AugmentedUnscentedKalmanFilterParams() [1/2]

cv::detail::tracking::kalman_filters::AugmentedUnscentedKalmanFilterParams::AugmentedUnscentedKalmanFilterParams | ( |  | ) |
| inline

## ◆ AugmentedUnscentedKalmanFilterParams() [2/2]

cv::detail::tracking::kalman_filters::AugmentedUnscentedKalmanFilterParams::AugmentedUnscentedKalmanFilterParams | ( | int | dp,
|  | int | mp,
|  | int | cp,
|  | double | processNoiseCovDiag,
|  | double | measurementNoiseCovDiag,
|  | Ptr< UkfSystemModel > | dynamicalSystem,
|  | int | type = CV_64F )

Parameters

  dp | - dimensionality of the state vector,
  mp | - dimensionality of the measurement vector,
  cp | - dimensionality of the control vector,
  processNoiseCovDiag | - value of elements on main diagonal process noise cross-covariance matrix,
  measurementNoiseCovDiag | - value of elements on main diagonal measurement noise cross-covariance matrix,
  dynamicalSystem | - ptr to object of the class containing functions for computing the next state and the measurement,
  type | - type of the created matrices that should be CV_32F or CV_64F.

## Member Function Documentation

## ◆ init()

void cv::detail::tracking::kalman_filters::AugmentedUnscentedKalmanFilterParams::init | ( | int | dp,
|  | int | mp,
|  | int | cp,
|  | double | processNoiseCovDiag,
|  | double | measurementNoiseCovDiag,
|  | Ptr< UkfSystemModel > | dynamicalSystem,
|  | int | type = CV_64F )

The function for initialization of Augmented Unscented Kalman filter

Parameters

  dp | - dimensionality of the state vector,
  mp | - dimensionality of the measurement vector,
  cp | - dimensionality of the control vector,
  processNoiseCovDiag | - value of elements on main diagonal process noise cross-covariance matrix,
  measurementNoiseCovDiag | - value of elements on main diagonal measurement noise cross-covariance matrix,
  dynamicalSystem | - object of the class containing functions for computing the next state and the measurement,
  type | - type of the created matrices that should be CV_32F or CV_64F.

The documentation for this class was generated from the following file:

- opencv2/tracking/kalman_filters.hpp